@background-pink: #ffaabb;
@background-blue: #0000ff;
@background-green: #33aa33;

.shadow(@background) {
  @is-lighten-than-50: (if((lightness(@background) > 50%), true, false));
  @highlight-color: (if((@is-lighten-than-50), lighten(@background, 10%), lighten(@background, 50%)));
  @dark-color: darken(@background, 30%);
  border-color: @highlight-color @dark-color @dark-color @highlight-color;
  background: @background;
  color: (if((@is-lighten-than-50), black, white));
}

.pink-shadow {
  .shadow(@background-pink);
}

.blue-shadow {
  .shadow(@background-blue);
}

.green-shadow {
  .shadow(@background-green);
}

.panel {
  box-sizing: content-box;
  width: 300px;
  height: 40px;
  font-size: 1.5rem;
  border-style: solid;
  border-width: 5px;
  text-align: center;
  line-height: 40px;
  margin-bottom: 5px;
}

.rounded {
  border-radius: 15px;
}
